syntax = "proto3";
option go_package = ".;pb";

message DBGrowtask {
  string uid = 1; //@go_tags(`bson:"uid"`) 用户ID
  repeated Growtask initTaskList =
      2; //@go_tags(`bson:"initTaskList"`) 初级任务列表
  repeated Growtask midTaskList =
      3; //@go_tags(`bson:"midTaskList"`) 中级任务列表
  repeated Growtask highTaskList =
      4;                 //@go_tags(`bson:"highTaskList"`) 高级任务列表
  int32 curTaskType = 5; //@go_tags(`bson:"curTaskType"`) 进行中的任务类型
  int32 advReceive = 6; //@go_tags(`bson:"advReceive"`) 已领取的进阶奖励ID
}

//任务状态
enum GrowtaskStatus {
  Lock = 0;    //锁定
  Ongoing = 1; //进行中
  Wait = 2;    //待领奖
  Finish = 3;  //完成
}

message Growtask {
  int32 id = 1;              //@go_tags(`bson:"id"`) 配置ID
  int32 taskType = 2;        //@go_tags(`bson:"taskType"`) 任务类型
  GrowtaskStatus status = 3; //@go_tags(`bson:"status"`) 任务状态
  int32 fstask = 4;          //@go_tags(`bson:"fstask"`) 任务条件
  int32 preTask = 5;         //@go_tags(`bson:"preTask"`) 前置任务ID
}